package com.sifang.modules.supply.order.entity;


import org.hibernate.annotations.GenericGenerator;
import org.hibernate.validator.constraints.NotBlank;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "crm_supply_material_apply")
public class CrmSupplyMaterialApply implements Serializable {

  private String id;
  private String type;
  private String number;
  private String inWarehouseId;
  private String personInCharge;
  private String mobile;
  private String province;
  private String city;
  private String area;
  private String address;
  private String projectId;
  private String projectCode;
  private String remark;
  private String relateNo;
  private Date createTime;
  private String createBy;
  private String creator;
  private Date orderTime;
  private String orderTo;
  private String orderToName;
  private String traderId;
  private String failReason;
  private String status;
  private Date auditTime;
  private BigDecimal materialTypeAmount;
  private BigDecimal totalApplyAmount;

  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }

  public String getPersonInCharge() {
    return personInCharge;
  }

  public void setPersonInCharge(String personInCharge) {
    this.personInCharge = personInCharge;
  }

  public String getMobile() {
    return mobile;
  }

  public void setMobile(String mobile) {
    this.mobile = mobile;
  }

  public String getProvince() {
    return province;
  }

  public void setProvince(String province) {
    this.province = province;
  }

  public String getCity() {
    return city;
  }

  public void setCity(String city) {
    this.city = city;
  }

  public String getArea() {
    return area;
  }

  public void setArea(String area) {
    this.area = area;
  }

  public String getAddress() {
    return address;
  }

  public void setAddress(String address) {
    this.address = address;
  }

  public Date getOrderTime() {
    return orderTime;
  }

  @Id
  @GeneratedValue(generator = "idGenerator")
  @GenericGenerator(name = "idGenerator", strategy = "uuid")
  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public String getNumber() {
    return number;
  }

  public String getProjectId() {
    return projectId;
  }

  public void setProjectId(String projectId) {
    this.projectId = projectId;
  }

  public String getProjectCode() {
    return projectCode;
  }

  public void setProjectCode(String projectCode) {
    this.projectCode = projectCode;
  }

  public void setNumber(String number) {
    this.number = number;
  }

  public String getInWarehouseId() {
    return inWarehouseId;
  }

  public void setInWarehouseId(String inWarehouseId) {
    this.inWarehouseId = inWarehouseId;
  }

  public String getRemark() {
    return remark;
  }

  public void setRemark(String remark) {
    this.remark = remark;
  }

  public String getRelateNo() {
    return relateNo;
  }

  public void setRelateNo(String relateNo) {
    this.relateNo = relateNo;
  }

  public Date getCreateTime() {
    return createTime;
  }

  public void setCreateTime(Date createTime) {
    this.createTime = createTime;
  }

  public String getCreateBy() {
    return createBy;
  }

  public void setCreateBy(String createBy) {
    this.createBy = createBy;
  }

  public String getCreator() {
    return creator;
  }

  public void setCreator(String creator) {
    this.creator = creator;
  }

  public void setOrderTime(Date orderTime) {
    this.orderTime = orderTime;
  }

  public String getOrderTo() {
    return orderTo;
  }

  public void setOrderTo(String orderTo) {
    this.orderTo = orderTo;
  }

  public String getOrderToName() {
    return orderToName;
  }

  public void setOrderToName(String orderToName) {
    this.orderToName = orderToName;
  }

  public String getTraderId() {
    return traderId;
  }

  public void setTraderId(String traderId) {
    this.traderId = traderId;
  }

  public String getFailReason() {
    return failReason;
  }

  public void setFailReason(String failReason) {
    this.failReason = failReason;
  }

  public String getStatus() {
    return status;
  }

  public void setStatus(String status) {
    this.status = status;
  }

  public BigDecimal getMaterialTypeAmount() {
    return materialTypeAmount;
  }

  public void setMaterialTypeAmount(BigDecimal materialTypeAmount) {
    this.materialTypeAmount = materialTypeAmount;
  }

  public BigDecimal getTotalApplyAmount() {
    return totalApplyAmount;
  }

  public void setTotalApplyAmount(BigDecimal totalApplyAmount) {
    this.totalApplyAmount = totalApplyAmount;
  }

  public Date getAuditTime() {
    return auditTime;
  }

  public void setAuditTime(Date auditTime) {
    this.auditTime = auditTime;
  }
}
